cd ..
asl -L -olist ./6800/flash_mon.lst -o flash_mon.p -i ./6800 ./6800/flash_mon.asm
asl -L -olist ./6800/flash_boot.lst -o flash_boot.p -i ./6800 ./6800/flash_boot.asm
asl -L -olist ./6800/not_occupied.lst -o not_occupied.p -i ./6800 ./6800/not_occupied.asm
p2hex flash_mon ./6800/fmon.hex +5
p2hex flash_boot ./6800/fboot.hex +5
p2hex not_occupied ./6800/empty.hex +5
cd 6800
mot2bin /O-32768 fboot.hex fboot.tin
mot2bin /O-28672 fmon.hex fmon.tin

flash_fit.exe fboot.tin 0 fmon.tin
flash_fit.exe page_set.tin 1 BAS_PT.txt
flash_fit.exe page_set.tin 3 BAS_ACR.txt
flash_fit.exe page_set.tin 5 ASM_EDT.txt
flash_fit.exe page_set.tin 7 empty.hex

bin2mot /O16384 /H /T /Q 0.bin
bin2mot /O16384 /H /T /Q 1.bin
bin2mot /O16384 /H /T /Q 2.bin
bin2mot /O16384 /H /T /Q 3.bin
bin2mot /O16384 /H /T /Q 4.bin
bin2mot /O16384 /H /T /Q 5.bin
bin2mot /O16384 /H /T /Q 6.bin
bin2mot /O16384 /H /T /Q 7.bin

cat header.mot 0.mot footer.mot > Page00.txt
cat header.mot 1.mot footer.mot > Page01.txt
cat header.mot 2.mot footer.mot > Page02.txt
cat header.mot 3.mot footer.mot > Page03.txt
cat header.mot 4.mot footer.mot > Page04.txt
cat header.mot 5.mot footer.mot > Page05.txt
cat header.mot 6.mot footer.mot > Page06.txt
cat header.mot 7.mot footer.mot > Page07.txt

cp 7.bin 8.bin
cp 7.bin 9.bin
cp 7.bin 10.bin
cp 7.bin 11.bin
cp 7.bin 12.bin
cp 7.bin 13.bin
cp 7.bin 14.bin
cp 7.bin 15.bin
cp 7.bin 16.bin
cp 7.bin 17.bin
cp 7.bin 18.bin
cp 7.bin 19.bin
cp 7.bin 20.bin
cp 7.bin 21.bin
cp 7.bin 22.bin
cp 7.bin 23.bin
cp 7.bin 24.bin
cp 7.bin 25.bin
cp 7.bin 26.bin
cp 7.bin 27.bin
cp 7.bin 28.bin
cp 7.bin 29.bin
cp 7.bin 30.bin
cp 7.bin 31.bin

mv 1.bin 01.bin
mv 2.bin 02.bin
mv 3.bin 03.bin
mv 4.bin 04.bin
mv 5.bin 05.bin
mv 6.bin 06.bin
mv 7.bin 07.bin
mv 8.bin 08.bin
mv 9.bin 09.bin


cat 0.BIN *.bin > mini_680.rom